# listPipelineStages

One pipeline's stages, in order (all pipelines: listStagesOfPipelines).

- Call: `POST https://server.goliathdata.com/api/v1/call` with `{ "operationId": "listPipelineStages", "variables": {...} }`
- Scope: `READ`
- Type: query
- Idempotency: a read; rejects `Idempotency-Key`
- Rate-limited: no

## Variables

- `pipelineId`: `ID!` (required)

## Response (data, an example)

```json
{
  "dealQuery": {
    "getDealPipelineStages": [
      {
        "id": "<ID>",
        "name": "…",
        "order": 0,
        "isTerminal": true,
        "terminalType": "WON",
        "winProbability": 0
      }
    ]
  }
}
```

## Example

```bash
curl https://server.goliathdata.com/api/v1/call \
  -H "Authorization: Bearer $GOLIATH_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "operationId": "listPipelineStages",
    "variables": {
      "pipelineId": "<pipelineId>"
    }
  }'
```
